Subject: bug#35353: 26.2; Buffer *xref*: (1) hard-coded mouse-1, (2) major mode name

From: Drew Adams <[email-masked]>
Date: Mon, 6 May 2019 06:29:21 -0700 (PDT)

> > It was Dmitry (not `C-h k') who never identified
> > the key for which to use `C-h k'.  He never
> > identified the command either.
> 
> If that really was the issue: the "show location but don't switch
> windows" command is xref--mouse-2, currently bound to mouse-2.

Thank you.  That was the question about your "show
location but don't switch windows".  (It was not
the issue reported in the bug report, however.)

But as I mentioned, with the settings I cited
there is no difference in behavior between mouse-1
and mouse-2.  Each shows the target in the other
window, without selecting that window.

And unfortunately the window the target is shown
in is the window the Dired buffer was in - the
Dired buffer is replaced there (not a good thing,
IMO).

Anyway, I've already said all that.  But thanks
for clearing up what you meant by the "show
location but don't switch windows" command.